![]() | ShapeItemSetHandlePoints Method |
Set the Shape item's Handle Points
Namespace: Tekla.Structures.Catalogs
Assembly: Tekla.Structures.Catalogs (in Tekla.Structures.Catalogs.dll) Version: 2023.0.1

Parameters
- HandlePoints
- Type: System.Collections.GenericListPoint
[Missing <param name="HandlePoints"/> documentation for "M:Tekla.Structures.Catalogs.ShapeItem.SetHandlePoints(System.Collections.Generic.List{Tekla.Structures.Geometry3d.Point})"]
Return Value
Type: BooleanTrue if success or False

public void SetHandlePointsTest() { var polymesh = CreateSomeValidBrep(); var shapeItem = new ShapeItem { Name = "TestFileName", ShapeFacetedBrep = polymesh, UpAxis = ShapeUpAxis.Z_Axis }; shapeItem.Insert(); var handlePoints = new List<Point>; { new Point(100.0, 100.0, 100.0), new Point(-100.0, -100.0, -100.0), }; shapeItem.SetHandlePoints(handlePoints); }
